Name:           perl-IO-Socket-SSL
Version:        2.027
Release:        1%{?org_tag}%{?dist}
Summary:        Nearly transparent SSL encapsulation for IO::Socket::INET
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IO-Socket-SSL/
Source0:        http://www.cpan.org/authors/id/S/SU/SULLR/IO-Socket-SSL-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::SSLeay) >= 1.46
Requires:       perl(Net::SSLeay) >= 1.46
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a true drop-in replacement for IO::Socket::INET that uses
SSL to encrypt data before it is transferred to a remote server or client.
IO::Socket::SSL supports all the extra features that one needs to write a
full-featured SSL client or server application: multiple SSL contexts,
cipher selection, certificate verification, and SSL version selection. As
an extra bonus, it works perfectly with mod_perl.

%prep
%setup -q -n IO-Socket-SSL-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
%if %{rhel} == 6
# C6 is currently failing this test - 2015-10-16
rm -f t/protocol_version.t
%endif
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc BUGS Changes README README.Win32
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jun 03 2016 Gavin Carr <gavin@openfusion.com.au> 2.027-1
- Update to version 2.027.

* Fri Oct 16 2015 Gavin Carr <gavin@openfusion.com.au> 2.020-1
- Update to version 2.020.

* Thu May 30 2013 Gavin Carr <gavin@openfusion.com.au> 1.92-1
- Update to version 1.92.

* Sun May 26 2013 Gavin Carr <gavin@openfusion.com.au> 1.89-1
- Update to version 1.89.

* Tue Apr 03 2012 Gavin Carr <gavin@openfusion.com.au> 1.62-1
- Update to version 1.62.

* Fri Feb 25 2011 Gavin Carr <gavin@openfusion.com.au> 1.38-1
- Specfile autogenerated by cpanspec 1.79.
